Loading...
Searching...
No Matches
casacore::python::to_list< std::vector< bool > > Struct Reference

`#include <PycBasicData.h>`

## Public Types

typedef std::vector< bool > | ContainerType

## Static Public Member Functions

static boost::python::list | makeobject (ContainerType const &c)
static PyObject * | convert (ContainerType const &c)

## Detailed Description

Definition at line 280 of file PycBasicData.h.

## Member Typedef Documentation

## ContainerType

typedef std::vector<bool> casacore::python::to_list< std::vector< bool > >::ContainerType

Definition at line 282 of file PycBasicData.h.

## Member Function Documentation

## convert()

PyObject * casacore::python::to_list< std::vector< bool > >::convert | ( | ContainerType const & | c | ) |

inline static

Definition at line 294 of file PycBasicData.h.

References casacore::python::to_list< ContainerType >::makeobject().

## makeobject()

boost::python::list casacore::python::to_list< std::vector< bool > >::makeobject | ( | ContainerType const & | c | ) |

inline static

Definition at line 283 of file PycBasicData.h.

The documentation for this struct was generated from the following file:

- python/Converters/PycBasicData.h